Daniel Ulbrich
Home > Visual Basic > VBA > AutoCAD® > Edit M-Text
Menü
Login-Formular
Letzte Änderung:
August 29. 2008 23:58:13
en

Edit M-Text

MIt diesem Makro lassen sich M-Texte, die z.B. durch ein VB-Modul erstellt wurden, in einer einfachen Eingabemaske editieren.

Sub edit_mtext()
Dim sset As AcadSelectionSet
Dim entry As Object

Set sset = ThisDrawing.SelectionSets.Add("SeS7")
'Auswahl der Objekte am Bildschirm
sset.SelectOnScreen
'Schleife über alle gwählten Objekte
For Each entry In sset
    If entry.EntityName = "AcDbMText" Or entry.EntityName = "AcDbText" Then
        x = entry.TextString
        y = InputBox("Bitte Text ändern:", , x)
        If y = "" Then y = x
        entry.TextString = y
    End If
Next entry
sset.Delete
End Sub

© 2006-2008 Daniel Ulbrich | Alle Rechte vorbehalten | Impressum
Powered by CMSimple | Template Design by NMuD